//
//  IOSPlatformSDK.h
//  OYGameSKD
//
//  Created by duowan123 on 2021/1/21.
//  Copyright © 2021 jiketeam. All rights reserved.
//
#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface IOSPlatformSDK : NSObject

+(instancetype)sharedInstance;//单例
-(void)startWithUrl:(NSURL*)url;//app跳转传参

//oc桥接c++ ---> ios call unity
-(void)bridgingMotionAction:(int)cusid left:(int)left right:(int)right;
-(void)bridgingStepAction:(int)cusid leftStatus:(int)leftStatus rightStatus:(int)rightStatus leftFrag:(int)leftFrag rightFrag:(int)rightFrag;
-(void)bridgingDeviceAction:(int)cusid name:(NSString*)name address:(NSString*)address status:(int)status electricity:(int)electricity;
-(void)bridgingFriensList:(int)code json:(NSString*)json;
-(void)bridgingInviteFriend:(NSString*)userJson inviteInfo:(NSString*)inviteInfo;
-(void)bridgingInteraction:(int)cusid code:(int)code;

@end

