#pragma once
#ifndef _RunGame_H_
#define _RunGame_H_

class RunGame
{
	public:
		RunGame();
		int getResultLeftRight(int* pos, int devNum);
		int getResultJump(int jump);
		int getResultDown(int down);
		void setResultConLeft(int zupt);
		void setResultConRight(int zupt);

		int getResultLeft(int *pos, int girl_shoes);
		int getResultRight(int *pos, int girl_shoes);

		void Process(int* right_pos, int* right_att, int right_zupt, int* left_pos,
			int* left_att, int left_zupt, int jump, int down, int girl_shoes);

		void getResult(int *dec);

	private:

		int last_down;
		int last_jump;

		int left_has_result;
		int right_has_result;
		int left_zupt;
		int right_zupt;

		int left_pos_offset_min;
		int right_pos_offset_min;

		int left_last_pos[3];

		int right_last_pos[3];

		int result[4];

		int last_jump_time;
};

#endif