#pragma once
#ifndef _pub_h__
#define _pub_h__

#include <iostream>

#include <stdlib.h>
#include <vector>

using namespace std;

#define LEFT_FOOT 1
#define RIGHT_FOOT 2

//#define DANCING_THRESH 5
#define DANCING_THRESH 0
#define CIRCLE_CENTER 22

#define ORIGINTRAJ 0
#define RUNGAME 1
#define DANCEGAME 2
#define H5GAME 3

#define RSSI_LIMIT

#define PI 3.141592653

#define DANCEGAME_MIN_RSSI 26

#define PRESS_MIN 41000

#define GAME_VERSION "0.3.5"

enum CMD_MOTION
{
    MOTION_STOP = 0,
    MOTION_RUN, // 
    MOTION_JUMP, // 
    MOTION_DOWN, // 
    MOTION_LEFT, // 
    MOTION_RIGHT, // 
    MOTION_FRONT, // ǰ
    MOTION_BACK, // 
    MOTION_LEFT_UP, // -
    MOTION_LEFT_DOWN, // -
    MOTION_RIGHT_UP, // -
    MOTION_RIGHT_DOWN, // -
    MOTION_STEP, // -ԭز

    NUMBERS_OF_MOTION,

    MOTION_CANCEL = 0x0100,
};


struct posData
{
	float pos_x;
	float pos_y;
	float rssi;
};

#endif