//
//  SearchDeviceViewController.h
//  Unity-iPhone
//
//  Created by duowan123 on 2021/2/4.
//

#import <UIKit/UIKit.h>

#import <CoreBluetooth/CoreBluetooth.h>

@interface SearchDeviceViewController : UIViewController

@property (strong, nonatomic)UITableView *tableView;

@property (strong, nonatomic)NSMutableArray  * deviceArray;  /**< 蓝牙设备个数 */

@property (copy,nonatomic)void(^connectDeviceBlock)(CBPeripheral * peripheral);

@property (nonatomic, copy)void(^searchDeviceTask)();

-(void)hideAnimation;

@end

