#ifndef _OriginTraj_H
#define _OriginTraj_H

#include "pub.h"

class OriginTraj {
public: 

	OriginTraj();

	void Process(int* right_pos, int* right_att, int right_zupt, int* left_pos, int* left_att, int left_zupt );

	float getGamePos(int left_or_right, int index);

private:

	int start_traj = 0;
	int left_zupt_count = 0;
	int right_zupt_count = 0;
	float left_cur_pos[3];
	float right_cur_pos[3];

	float start_left_pos[3];
	float start_right_pos[3];

	float leftRotate[4] = { 1.0, 0.0, 0.0, 1.0 };
	float rightRotate[4] = { 1.0, 0.0, 0.0, 1.0 };
};

#endif
